Package org.pgpainless.algorithm

# Enum Class CompressionAlgorithm

java.lang.Object
java.lang.Enum<CompressionAlgorithm>
org.pgpainless.algorithm.CompressionAlgorithm

All Implemented Interfaces:
  `Serializable`, `Comparable<CompressionAlgorithm>`, `Constable`

public enum CompressionAlgorithm extends Enum<CompressionAlgorithm>
Enumeration of possible compression algorithms.

See Also:
  - RFC4880: Compression Algorithm Tags

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BZIP2`
`UNCOMPRESSED`
`ZIP`
`ZLIB`

## Method Summary

Modifier and Type
Method
Description
`static CompressionAlgorithm`
`fromId(int id)`
Return the `CompressionAlgorithm` value that corresponds to the provided numerical id.
`int`
`getAlgorithmId()`
Return the numerical algorithm tag corresponding to this compression algorithm.
`static CompressionAlgorithm`
`requireFromId(int id)`
Return the `CompressionAlgorithm` value that corresponds to the provided numerical id.
`static CompressionAlgorithm`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CompressionAlgorithm[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNCOMPRESSED

public static final CompressionAlgorithm UNCOMPRESSED

### ZIP

public static final CompressionAlgorithm ZIP

### ZLIB

public static final CompressionAlgorithm ZLIB

### BZIP2

public static final CompressionAlgorithm BZIP2

## Method Details

### values

public static CompressionAlgorithm[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CompressionAlgorithm valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromId

@Nullable public static CompressionAlgorithm fromId(int id)
Return the `CompressionAlgorithm` value that corresponds to the provided numerical id. If an invalid id is provided, null is returned.

Parameters:
  `id` - id
Returns:
  compression algorithm

### requireFromId

@Nonnull public static CompressionAlgorithm requireFromId(int id)
Return the `CompressionAlgorithm` value that corresponds to the provided numerical id. If an invalid id is provided, thrown an `NoSuchElementException`.

Parameters:
  `id` - id
Returns:
  compression algorithm
Throws:
  `NoSuchElementException` - in case of an unmapped id

### getAlgorithmId

public int getAlgorithmId()
Return the numerical algorithm tag corresponding to this compression algorithm.

Returns:
  id